Rails.application.routes.draw do
  get 'static_pages/about', as: '/about'

  get 'static_pages/contact', as: '/contact'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  
  root 'recetas#index'
  get '/alimentos/search' , to: 'alimentos#search'
  get '/recetas/search' , to: 'recetas#search'
  get '/recetas/search-by-ingredient', to: 'recetas#search_by_ingredient'


  resources :recetas, only: [:index, :show, :create, :new]
  resources :alimentos, only: [:index, :show] 
  
end
